import request from '@/utils/request'
import Qs from 'qs'

/** 分页查询开课管理**/
export function listClass(query) {
  return request({
    url: '/sysunitlesson/querySysUnitLessonByPagination',
    method: 'get',
    params: query
  })
}

/** 根据单位id查询改单位下开的所有课程信息**/
export function queryOpenCourseByUnit(query) {
  return request({
    url: '/sysunitlesson/queryOpenCourse',
    method: 'get',
    params: query
  })
}

/** 校验该单位下是否开过一样的课程**/
export function validOpenCourse(query) {
  return request({
    url: '/sysunitlesson/validOpenCourse',
    method: 'get',
    params: query
  })
}

/** 批量开课信息**/
export function batchAddUnitLesson(data) {
  return request({
    url: '/sysunitlesson/batchAddUnitLesson',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

/** 编辑开课信息**/
export function update(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/sysunitlesson/update/' + businessId,
    method: 'put',
    data
  })
}

export function deleteUnitLesson(id) {
  return request({
    url: '/sysunitlesson/delete/' + id,
    method: 'delete'
  })
}
